> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Organisation's Devices Savings

> Get the savings for the specified organization ID within a date range.

Available only for "admin" users.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/devices/savings
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/devices/savings:
    get:
      tags:
        - Devices
      summary: Get an Organisation's Devices Savings
      description: |-
        Get the savings for the specified organization ID within a date range.

        Available only for "admin" users.
      operationId: >-
        integrations_api_api_v2_organizations_devices_router_retrieve_all_devices_savings
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: query
          name: start_datetime
          schema:
            description: Start datetime for savings calculation
            format: date-time
            title: Start Datetime
            type: string
          required: true
          description: Start datetime for savings calculation
        - in: query
          name: end_datetime
          schema:
            description: End datetime for savings calculation
            format: date-time
            title: End Datetime
            type: string
          required: true
          description: End datetime for savings calculation
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationSavingsOutput'
      security:
        - OAuth2: []
components:
  schemas:
    OrganizationSavingsOutput:
      properties:
        total_savings:
          title: Total Savings
          type: number
        heat_pump_savings:
          title: Heat Pump Savings
          type: number
        electric_vehicle_savings:
          title: Electric Vehicle Savings
          type: number
        inverter_savings:
          title: Inverter Savings
          type: number
      required:
        - total_savings
        - heat_pump_savings
        - electric_vehicle_savings
        - inverter_savings
      title: OrganizationSavingsOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````